> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guilds.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vote

> Check if a user has an active vote



## OpenAPI

````yaml GET /votes/{user_id}
openapi: 3.0.1
info:
  title: Guilds API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.guilds.me/v1
security:
  - GuildsApiKeyAuth: []
    GuildsAppIdAuth: []
paths:
  /votes/{user_id}:
    get:
      description: Check if a user has an active vote
      parameters:
        - name: user_id
          in: path
          description: The unique Discord user ID (snowflake).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User Vote response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckUserVote'
                type: object
        '401':
          description: Unauthorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorised'
components:
  schemas:
    CheckUserVote:
      type: object
      properties:
        voted:
          description: Whether or not this user has an active vote
          type: boolean
        remaining:
          description: The time remaining of this users vote in miliseconds
          type: integer
          nullable: true
    Unauthorised:
      required:
        - message
      type: object
      properties:
        status:
          type: integer
          enum:
            - 401
        error:
          type: string
          enum:
            - Unauthorised
  securitySchemes:
    GuildsApiKeyAuth:
      type: apiKey
      in: header
      name: Guilds-Api-Key
      description: API Key specific to each guild
    GuildsAppIdAuth:
      type: apiKey
      in: header
      name: Guilds-App-Id
      description: App ID specific to each guild

````